Get Company Details
curl --request GET \
--url https://nordicfinancialnews.com/api/v1/companies/{identifier} \
--header 'Authorization: Bearer <token>'import requests
url = "https://nordicfinancialnews.com/api/v1/companies/{identifier}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)require 'uri'
require 'net/http'
url = URI("https://nordicfinancialnews.com/api/v1/companies/{identifier}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyconst options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nordicfinancialnews.com/api/v1/companies/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"company": {
"id": "w55fcw3pbg3p",
"name": "Volvo Car AB",
"slug": "volvo-car-ab",
"ticker": "VOLCAR-B",
"is_active": true,
"description": "Volvo Car AB (publ.) designs, develops, manufactures, markets, assembles, and sells passenger cars in Sweden and internationally.",
"sector": "Consumer Discretionary",
"website": "https://www.volvocars.com/se",
"country": {
"id": "o5kwz4bzzqkm",
"name": "Sweden",
"iso2_code": "SE"
},
"article_count": 176,
"story_count": 11,
"parent_company": {
"id": "himhcsn81a3r",
"name": "Geely Holding",
"ticker": null
},
"subsidiaries": [
{
"id": "6lv8cihz3948",
"name": "Polestar",
"ticker": null
}
],
"indices": [],
"stock_listings": [
{
"ticker": "VOLCAR-B",
"primary": true,
"exchange": {
"id": "64hn2d7ul6kr",
"name": "Nasdaq Stockholm",
"mic_code": "XSTO"
}
}
],
"registry": {
"source": "Bolagsverket",
"registered_name": "Volvo Personvagnar Aktiebolag",
"company_form": "Aktiebolag",
"city": "GÖTEBORG",
"founded": "1960-10-28",
"employees": null,
"industry": "Tillverkning av personbilar och andra lätta motorfordon",
"bankruptcy": null,
"under_liquidation": null,
"share_capital": null,
"institutional_sector": null,
"deregistered_at": null,
"deregistration_reason": null
},
"updated_at": "2026-03-28T11:22:22.697Z"
}
}{
"type": "https://docs.nordicfinancialnews.com/problems/not-found",
"title": "Not Found",
"status": 404,
"detail": "The requested resource could not be found",
"instance": "urn:request:abc123"
}Companies
Get Company Details
Returns detailed information about a single company, including description, sector, relationships, and stock listings. Look up by company ID (e.g. comp_apple123) or ticker symbol (e.g. AAPL, VOLV-B). Lookup also accepts the full ticker including exchange suffix (e.g. VOLV-B.ST).
GET
/
api
/
v1
/
companies
/
{identifier}
Get Company Details
curl --request GET \
--url https://nordicfinancialnews.com/api/v1/companies/{identifier} \
--header 'Authorization: Bearer <token>'import requests
url = "https://nordicfinancialnews.com/api/v1/companies/{identifier}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)require 'uri'
require 'net/http'
url = URI("https://nordicfinancialnews.com/api/v1/companies/{identifier}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyconst options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nordicfinancialnews.com/api/v1/companies/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"company": {
"id": "w55fcw3pbg3p",
"name": "Volvo Car AB",
"slug": "volvo-car-ab",
"ticker": "VOLCAR-B",
"is_active": true,
"description": "Volvo Car AB (publ.) designs, develops, manufactures, markets, assembles, and sells passenger cars in Sweden and internationally.",
"sector": "Consumer Discretionary",
"website": "https://www.volvocars.com/se",
"country": {
"id": "o5kwz4bzzqkm",
"name": "Sweden",
"iso2_code": "SE"
},
"article_count": 176,
"story_count": 11,
"parent_company": {
"id": "himhcsn81a3r",
"name": "Geely Holding",
"ticker": null
},
"subsidiaries": [
{
"id": "6lv8cihz3948",
"name": "Polestar",
"ticker": null
}
],
"indices": [],
"stock_listings": [
{
"ticker": "VOLCAR-B",
"primary": true,
"exchange": {
"id": "64hn2d7ul6kr",
"name": "Nasdaq Stockholm",
"mic_code": "XSTO"
}
}
],
"registry": {
"source": "Bolagsverket",
"registered_name": "Volvo Personvagnar Aktiebolag",
"company_form": "Aktiebolag",
"city": "GÖTEBORG",
"founded": "1960-10-28",
"employees": null,
"industry": "Tillverkning av personbilar och andra lätta motorfordon",
"bankruptcy": null,
"under_liquidation": null,
"share_capital": null,
"institutional_sector": null,
"deregistered_at": null,
"deregistration_reason": null
},
"updated_at": "2026-03-28T11:22:22.697Z"
}
}{
"type": "https://docs.nordicfinancialnews.com/problems/not-found",
"title": "Not Found",
"status": 404,
"detail": "The requested resource could not be found",
"instance": "urn:request:abc123"
}Last modified on August 21, 2026
⌘I